// App.js
import React from 'react';
 
import AppBar from '@mui/material/AppBar';
import Toolbar from '@mui/material/Toolbar';
import IconButton from '@mui/material/IconButton';
import Typography from '@mui/material/Typography';
import VuetifyLogo from './logo.svg';
import VuetifyName from './logo.svg';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import Main from './Components';
import VideoPlayer from './VideoPlayer'; // 导入我们将创建的VideoPlayer组件
import ConfigContext, { config } from './Config';

const App = () => {
  return (
 

    <ConfigContext.Provider value={config}>
      <BrowserRouter>
      <div>
      <AppBar position="static">
        <Toolbar>
          <IconButton edge="start" color="inherit" aria-label="menu">
            <img src={VuetifyLogo} alt="Vuetify Logo" width="40" />
          </IconButton>
          <Typography variant="h3" style={{ flexGrow: 1 }}>
            <img src={VuetifyName} alt="Vuetify Name" width="40" />
          </Typography>
        </Toolbar>
      </AppBar>
  
        <Routes>
          <Route path="/" element={<Main />} />
          <Route path="/res/:filename" element={<VideoPlayer />} />
        </Routes>
      </div>
    </BrowserRouter>

      </ConfigContext.Provider>
 
  );
};

export default App;